%define upstream_name MooseX-NewDefaults
%define upstream_version 0.004

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Alter attribute defaults with less pain
License:	LGPLv2
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(namespace::autoclean)
BuildRequires:	perl(Test::Moose)

BuildArch:	noarch

%description
Ever start using a package from the CPAN, only to discover that it
requires lots of subclassing and "has '+foo' => (default => ...)"? It's
not recommended Moose best practice, and it's certainly not the
prettiest thing ever, either.

That's where we come in.

This package introduces new sugar that you can use in your class,
default_for (as seen above).

e.g.

    has '+foo' => (default => sub { 'a b c' });

...is the same as:

    default_for foo => sub { 'a b c' };

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-5.mga6
+ Revision: 1030494
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.4.0-4.mga6
+ Revision: 944522
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 742032
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 685551
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.4.0-1.mga5
+ Revision: 619480
- imported package perl-MooseX-NewDefaults

